Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
GETElastic Bare Metal Management(Plus)Since 4.4.24SynchronousAuth Required

QueryBareMetal2BondingNicRef

QueryBareMetal2BondingNicRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • chassisOfferingUuidStringRequired

      The chassis offering UUID.

    • typeStringRequired

      Type

    • stateStringRequired

      The state of the elastic bare metal instance.

    • statusStringRequired

      The status of the elastic bare metal instance.

    • powerStatusStringRequired

      The power status.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • chassisNicsListRequired

      See chassisNics

      • uuidStringRequired

        The UUID of the bare metal chassis NIC.

      • chassisUuidStringRequired

        The UUID of the bare metal chassis.

      • macStringRequired

        The MAC address of the chassis NIC.

      • speedStringRequired

        The data rate of the chassis NIC.

      • isProvisionNicBooleanRequired

        Indicates whether the NIC is a provisioned NIC.

      • createDateTimestampRequired

        The time when the NIC was created.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

    • chassisDisksListRequired

      See chassisDisks

      • uuidStringRequired

        The UUID of the chassis disk.

      • chassisUuidStringRequired

        The chassis UUID.

      • diskSizeLongRequired

        The size of the disk storage space, in bytes.

      • typeStringRequired

        The type of the disk.

      • createDateTimestampRequired

        The time when the disk was created.

      • lastOpDateTimestampRequired

        The time when the disk was last modified.

    • chassisOfferingBareMetal2ChassisOfferingInventoryRequired

      See chassisOffering

      • uuidStringRequired

        The chassis offering UUID.

      • nameStringRequired

        The name of the chassis offering.

      • descriptionStringRequired

        The detailed description of the chassis offering.

      • architectureStringRequired

        The CPU architecture.

      • cpuModelNameStringRequired

        The CPU model name.

      • cpuNumIntegerRequired

        The number of CPU cores.

      • memorySizeLongRequired

        The memory size.

      • bootModeStringRequired

        The boot mode.

      • stateStringRequired

        The state of the chassis offering.

      • createDateTimestampRequired

        The time when the chassis offering was created.

      • lastOpDateTimestampRequired

        The time when the chassis offering was last modified.

Endpoint

GET/v1/baremetal2/bonding/nic/refs

/v1/baremetal2/bonding/nic/refs

Operation ID

QueryBareMetal2BondingNicRef

Permalink

Request Example

curl -X GET 'http://{host}/v1/baremetal2/bonding/nic/refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "8efce80a3b804b038d4cc7055e3eb162", "name": "BM_CHASSIS", "description": "This is a bare metal chassis.", "zoneUuid": "fc08d44db9ec493e8f14150a3bf4fe40", "clusterUuid": "06fe95935cd74d3bbb15c049e7333295", "chassisOfferingUuid": "aa98b259748448b992c58076910b7343", "type": "IPMI", "state": "Enabled", "status": "Available", "powerStatus": "POWER_ON", "provisionType": "Remote", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history